## kernel-package 8.119ubuntu3

=== debian/changelog ===
kernel-package (8.119ubuntu3) hoary; urgency=low

  * Use $silent_modules=Yes for official images on initial installation, not
    only on upgrade (Ubuntu bug #4341)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  8 Feb 2005 12:29:07 -0800

kernel-package (8.119ubuntu2) hoary; urgency=low

  * Re-upload without removing arch metadata, to simplify merging.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 12 Jan 2005 13:36:09 +0000

kernel-package (8.119ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 12 Jan 2005 13:26:10 +0000

kernel-package (8.119) unstable; urgency=low

  * Bug fix: "kernel-package: Improvements for kernel_grub_rm.sh script",
    thanks to Javier Fernández-Sanguino Peña. I created my own patch,
    rather than using the one in the report, but thanks for pointing this
    out.                                                 (Closes: #287937).
  * Bug fix: "mismatch between lilo.conf and the actual filename
    &quot;initrd.old&quot;.", thanks to David Robin. The fix is actually
    thanks to Khalid Aziz, who noticed that in one corner case the
    symbolic link was moved to the wrong location.       (Closes: #288540).
  * Bug fix: "bash_completion.d/make-kpkg prints grep error messages if
    .config doesn't exist", thanks to Josh Triplett      (Closes: #285166).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Jan 2005 17:39:31 -0600

kernel-package (8.118) unstable; urgency=low

  * Bug fix: "bash_completion.d/make-kpkg prints grep error messages if
    .config doesn't exist", thanks to Josh Triplett (Closes: #285166).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Dec 2004 12:20:46 -0600

kernel-package (8.117) unstable; urgency=low

  * Updated the spanish translation of the amke-kpkg man page, thanks to
    Rubén Porras Campo <nahoo@inicia.es> 

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Dec 2004 09:48:47 -0600

kernel-package (8.116) unstable; urgency=low

  * Bug fix: "when generating buildinfo, should also consider [h]eld
    packages", thanks to Joshua Kwan. I sync-tree's with josjk's version,
    but did not actually use that code, since there have been changes made
    in the rules file since, and there are also some permission changes I
    did not want to revert. This shall allow him to star-merge back to get
    my fixes.                                             (Closes: #284700).
  * Bug fix: "kernel-package: improved CONCURRENCY_LEVEL docs", thanks to
    Bastian Kleineidam                                     (Closes: #284065).
  * Bug fix: "kernel-package: Clarify documentation on kernel patches",
    thanks to Ross Boylan. Added a note in the make-kpkg man page.
                                                           (Closes: #224212).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Dec 2004 02:43:28 -0600

kernel-package (8.115) unstable; urgency=low

  * Bug fix: "SPARC/SILO: does not set the right initrd for the kernel",
    thanks to Joerg Friedrich.  We now mention that the generated
    silo.conf is a best effort kinda thing, and a human needs to check it.
                                                         (Closes: #282965).
  * Bug fix: "kernel-package: Simultaneously installing two kernel images,
    with initrds, makes lilo fail for the first one", thanks to Adam Rice
    Actually, this was an instance of upgrading two images at the same
    time.                                                (Closes: #282749).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 26 Nov 2004 01:17:10 -0600

kernel-package (8.114ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 24 Nov 2004 15:09:13 +0000

kernel-package (8.114) unstable; urgency=low

  * Do up remove initrd symbolic links on upgrades.        (Closes: #281953).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 20 Nov 2004 16:00:21 -0600

kernel-package (8.113ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 18 Nov 2004 13:16:45 +0000

kernel-package (8.113) unstable; urgency=low

  * Bug fix: "--stem option to enable alternative package naming schemes",
    thanks to Matt Zimmerman                                  (Closes: #281465).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 17 Nov 2004 11:09:40 -0600

kernel-package (8.112ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 17 Nov 2004 17:50:08 +0000

kernel-package (8.112) unstable; urgency=low

  * Bug fix: "kernel-source-2.6.9: make mrproper fails", thanks to Leif W
    horms@debian.org provided the fix                          (Closes: #279678).
  * Bug fix: "Updated mips/mipsel rules for kernel-package", thanks to
    Thiemo Seufer                                              (Closes: #280341).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Nov 2004 11:13:58 -0600

kernel-package (8.111ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Tue, 09 Nov 2004 19:01:57 +0000

kernel-package (8.111) unstable; urgency=medium

  * Strip trailing white space from the rules file.
  * Bug fix: "lc_version change is buggy", thanks to Adam Heath 
                                                        (Closes: #279564).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 Nov 2004 17:42:18 -0600

kernel-package (8.110ubuntu2) hoary; urgency=low

  * Resolve merge conflicts by re-applying Ubuntu changes against Debian
    sources

 -- Matt Zimmerman <mdz@canonical.com>  Thu, 28 Oct 2004 15:50:08 -0700

kernel-package (8.110ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 22:06:14 +0100

kernel-package (8.110) unstable; urgency=low

  * Updated french man page, thanks to Sylvain Cherrier <sylvain.cherrier@free.fr>


