## kernel-package 8.135

=== debian/changelog ===
kernel-package (8.135) unstable; urgency=medium

  * Bug fix: "kernel-package incompatible with experimental dpkg", thanks
    to Thomas Luzat. The problem is that dpkg-architecture
    -qDEB_HOST_GNU_SYSTEM output haschanged for Linux, resulting in
    kernel-package failing to figure out the system time. So, added
    DEB_HOST_ARCH_OS, which is only supported in the dpkg in experimental
    so far. This ain't ever gonna get into Sarge, but   shall be in
    Etch. Try to cope with the dpkg released with Sarge, as   well as the
    future dpkg that shall be in Etch. Discussed with RM, and this was
    deemed wrthy of pushing into Sarge                   (Closes: #307587). 
  * Bug fix: "kernel-package: [INTL:es] make-kpkg update", thanks to Ruben
    Porras                                                (Closes: #307713).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  7 May 2005 03:02:25 -0500

kernel-package (8.134) unstable; urgency=low

  * Bug fix: "kernel-package: Symlink confusion", thanks to Juergen
    Kreileder. There was indeed an issue with the image postrm, if the
    link_in_boot option was set.                           (Closes: #304140).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 May 2005 00:57:04 -0500

kernel-package (8.133) unstable; urgency=low

  * Bug fix: "typo in /usr/share/kernel-packages/rules", thanks to Bart
    Cortooms                                               (Closes: #307097).
  * Bug fix: "kernel-package: man make-kpkg does not document the
    binary-arch target", thanks to Intri Geri              (Closes: #305266).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  1 May 2005 14:20:43 -0500

kernel-package (8.132) unstable; urgency=low

  * Delete trailing whitespace in the rules file. This one change closes
    the next 4 bugs:
  * Bug fix: "kernel-package: does not build kernel_headers", thanks to
    Ingo Saitz                                            (Closes: #304568).
  * Bug fix: "kernel-package: Regression between 8.130 and 8.131", thanks
    to Roland Mas                                         (Closes: #304631).
  * Bug fix: "kernel-package: errors in script", thanks to Alberto Maurizi
                                                          (Closes: #304687).
  * Bug fix: "Compilation with make-kpkg fails", thanks to Johnny Morano
                                                          (Closes: #304851).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 15 Apr 2005 19:28:53 -0500

kernel-package (8.131) unstable; urgency=low

  * Bug fix: "kernel-package: README.modules should include targets
    called", thanks to Kevin Locke                        (Closes: #303833).
  * Updated spanish man pages.
  * Spit out a warning of the module dir does not exist. Earlier, we were
    silently ignoring missing third party modules.  
  * Bug fix: "Support for kfreebsd", thanks to Robert Millan
                                                          (Closes: #294235).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Apr 2005 01:53:41 -0500

kernel-package (8.130) unstable; urgency=low

  * Bug fix: "kernel-package fails to build mipsel kernels", thanks to
    Thiemo Seufer                                        (Closes: #301389).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Mar 2005 19:07:20 -0600

kernel-package (8.129) unstable; urgency=low

  * Bug fix: "sed errors with kernel-package &gt; 8.125", thanks to Edward
    J. Shornock. Need to quote $'s in make files.         (Closes: #300491).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Mar 2005 00:33:49 -0600

kernel-package (8.128) unstable; urgency=low

  * Bug fix: "kernel-package: Script errors during kernel build on
    sparc64", thanks to Frans Pop. Comment out _all_ the lines of a
    stanza, nit just the last two.                       (Closes: #300371).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 19 Mar 2005 10:17:31 -0600

kernel-package (8.127) unstable; urgency=low

  * Bug fix: "kernel-package: make-kpkg uses run-parts -v option, which
    breaks woody->sarge upgrades", thanks to Sven Luther (Closes: #299863).
  * Bug fix: "kernel-package: Missing CROSS_ARG causes spurious warnings",
    thanks to Hirokazu Takata                            (Closes: #298509).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 21:12:35 -0600

kernel-package (8.126) unstable; urgency=low

  * Bug fix: "[kernel-package] make-kpkg fails on mipsel without subarch",
    thanks to Florian Lohoff                               (Closes: #299218).
  * Inconsistent CROSS_COMPILE Breaks External Modules. Well, make sure
    that we do not end up with a XXX-- as the corss arg, thus allowing
    people to specify things with or without a trailing -. 
                                                    (Closes: #298371, #29850).
  * Bug fix: "kernel-package: Missing CROSS_ARG causes spurious warnings",
    thanks to Horms. Added [atch                            (Closes: #297677).
  * Bug fix: "kernel-package: Update Kernel Maintainer", thanks to Horms
                                                             (Closes: #297676).
  * Bug fix: "kernel-package: m32r architecture support", thanks to
    Hirokazu Takata                                          (Closes: #298647).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 01:45:13 -0600

kernel-package (8.125) unstable; urgency=low

  * Update ARM netwinder rules to be correct, thanks to vince (Closes: #296443).
  * Bug fix: "kernel-package: [patch] Please add nubus support", thanks to
    Sven Luther                                               (Closes: #296450).
  * Bug fix: "kernel-package: should perhaps suggest or recommend bzip2",
    thanks to Krishna Sethuraman                              (Closes: #296696).
  * Bug fix: "add doc for initrd options", thanks to Alex     (Closes: #290697).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  1 Mar 2005 14:52:20 -0600


