=== debian/control ===
--- 
+++ 
@@ -22,6 +22,6 @@
  custom kernel (why else are you considering this package?), then you may
  need the package bin86 as well.  (This is not required on other platforms).
 Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make
-Recommends: libc6-dev | libc-dev
+Recommends: libc6-dev | libc-dev, bzip2
 Suggests: kernel-source, libdb3-dev, libncurses-dev, docbook-utils
 Architecture: all
