=== debian/changelog ===
kernel-package (9.001ubuntu5) breezy; urgency=low

  * Have hppa and ia64 use mkinitrd, since mkinitramfs isn't going to make it
    for them.

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 28 Sep 2005 22:28:07 -0600

kernel-package (9.001ubuntu4) breezy; urgency=low

  * Revert my own changes in 9.001ubuntu3 pending discussion.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 16 Sep 2005 19:53:24 +0100

kernel-package (9.001ubuntu2) breezy; urgency=low

  * Use initramfs-tools instead of initrd-tools.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 10 Aug 2005 04:57:37 -0400

kernel-package (9.001ubuntu1) breezy; urgency=low

  * Resyncronize with Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 14 Jun 2005 13:33:20 +0200

kernel-package (9.001) unstable; urgency=low

  * The previous solution was only one half of the problem: we had made
    kernel_arch available to the maintainer scripts, but had not exported
    the variable to the hook scripts that the maintainer scripts run. This
    is the second half of that work.
  * Bug fix: "/u/s/k-p/image.postinst: $force_move logic recently broke",
    thanks to Aaron M.; "kernel-package: symlinks in /boot aren't update
    for packages created with make-kpkg", thanks to Itai Seggev.  These
    are the same bug, and indeed, as Aaron analyzed, were cause by a
    misplaced '}'.                                (Closes: #313312, #312917).
  * Thanks to Ubuntu and jbailey, there is now a new variable in
    /etc/kernel-img.conf: ramdisk, which allows the admin to choose a
    different program than /usr/sbin/mkinitrd for initrd generation.
  * Added a few bits and pieces for powerpc64 into the rules file. I am
    not sure I understand why one can't ever cross compile powerpc64
    images, but I am adding this in for the duration. This work reflects
    changes in Ubuntu.
  * Bug fix: "Fails with make: i486-linux-gnu-gcc: Command not found",
    thanks to Nacho Más                                 (Closes: #313053).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 13 Jun 2005 01:25:33 -0500

kernel-package (9.000ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 10 Jun 2005 06:11:44 +0200

kernel-package (9.000) unstable; urgency=low

  * This is a bug fixing release, and hopefully stable. Next we embark on
    a cleanup, rewrite, and debconfification, so this may well be a
    version worth holding on to.
  * Bug fix: "kernel-package: Rearrange docs placement in kernel-doc",
    thanks to Eugene Konev                              (Closes: #308562).
  * Bug fix: "kernel-package: Please export KERNEL_ARCH variable to the
    post-install script", thanks to Jurij Smakov        (Closes: #309423).
  * Bug fix: "kernel-package: [INTL:es] updated make-kpkg manpage", thanks
    to Ruben Porras                                     (Closes: #310274).
  * Bug fix: "kernel-package: Does not clean up dangling 'source' symlink
    in postinst", thanks to Jurij Smakov                (Closes: #309981).
  * Bug fix: "kernel-package: Please disable the version mismatch check
    for official kernels", thanks to Jurij Smakov. As all the debian
    kernel images are built from the same source, but with different
    binary image versions (the binary image version is a combination of
    the sub-arch and a variation of the kernel ABI), this check is
    erroneously triggered for them, terminating the build. With the patch
    builds finish fine.  This does so by circumventing a sanity check,
    which has some value for the end user.              (Closes: #312280).
  * Bug fix: "kernel-package: make-kpkg manpage should state that newer
    Kernel have cramfs support", thanks to Andreas Pakulat 
                                                         (Closes: #308221).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  8 Jun 2005 03:43:37 -0500

kernel-package (8.135ubuntu4) breezy; urgency=low

  * Add a simple cosmetic change to the kernel postinst.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 08 Jun 2005 13:53:44 +0200

kernel-package (8.135ubuntu3) breezy; urgency=low

  * New variable in /etc/kernel-img.conf: ramdisk
    Allows the admin to choose a different program than
    /usr/sbin/mkinitrd for initrd generation.
    Note: Must take the same arguments as mkinitrd.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed,  8 Jun 2005 01:47:00 +0000

kernel-package (8.135ubuntu2) breezy; urgency=low

  * Add a coupld powerpc64 checks along the way to avoid dpkg-architecture
    -a to get set to powerpc64 and not to set CROSSCOMPILE, the kernel
    Makefile will take care to set -m64 as appropriate.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Sat, 04 Jun 2005 16:09:29 +0200

kernel-package (8.135ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 03 Jun 2005 14:26:11 +0200

kernel-package (8.132ubuntu3) breezy; urgency=low

  * Suppress a new "you need to reboot soon" warning which doesn't apply to
    official Ubuntu kernels

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 24 May 2005 12:43:14 -0700

kernel-package (8.132ubuntu2) breezy; urgency=low

  * Add workaround to support old/new dpkg-architecture vars.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 23 May 2005 08:17:51 +0200

kernel-package (8.132ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Adam Conrad <adconrad@0c3.net>  Tue, 19 Apr 2005 22:46:52 -0600

kernel-package (8.131ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 14 Apr 2005 21:11:29 +0100
