## kernel-package 9.001ubuntu15

=== debian/changelog ===
kernel-package (9.001ubuntu15) dapper; urgency=low

  * #25231: Fix wording on creating sym link for initrd message.

 -- Ben Collins <bcollins@ubuntu.com>  Fri,  3 Mar 2006 10:23:10 -0500

kernel-package (9.001ubuntu14) dapper; urgency=low

  * Kill for good sparc32 support that was only making problems for us.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 02 Mar 2006 11:29:24 +0100

kernel-package (9.001ubuntu13) dapper; urgency=low

  * ia64 and hppa are now using initramfs.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 18 Jan 2006 13:41:29 -0500

kernel-package (9.001ubuntu12) dapper; urgency=low

  * Clean real_stamp_headers target to include scripts and asm_offsets.*. I
    was going to just forward port all of our changes to 9.008, but that
    proved to be more work than I wanted right now. Malone #28863

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 18 Jan 2006 09:03:59 -0500

kernel-package (9.001ubuntu11) dapper; urgency=low

  * s/kernel-source/linux-source/ in Suggests. Malone bug #6427

 -- Ben Collins <bcollins@ubuntu.com>  Thu,  5 Jan 2006 11:37:22 -0500

kernel-package (9.001ubuntu10) dapper; urgency=low

  * Stop symlinking to asm-ppc on powerpc; it's turned into asm-powerpc.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 22 Dec 2005 00:20:49 +1100

kernel-package (9.001ubuntu9) dapper; urgency=low

  * Make use of update-initramfs for postinst/postrm of kernel images.

  * Make sure initramfs-tools dep is >= 0.36ubuntu6.

  * Call /usr/share/update-notifier/notify-reboot-required in postinst.

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 28 Nov 2005 13:40:34 -0500

kernel-package (9.001ubuntu8) dapper; urgency=low

  * More PPC changes
    - Disable coff image for pmac

 -- Ben Collins <bcollins@ubuntu.com>  Sun, 20 Nov 2005 10:02:14 -0500

kernel-package (9.001ubuntu7) dapper; urgency=low

  * Minor adjustment to the PPC target. The kernel images moved from
    arch/ppc/boot/ to arch/powerpc/boot/

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 17 Nov 2005 12:02:01 -0500

kernel-package (9.001ubuntu6) dapper; urgency=low

  * Fixup powerpc targets. PPC and PPC64 now use ARCH=powerpc.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 15 Nov 2005 10:27:23 -0500
