=== debian/changelog ===
kernel-package (10.049ubuntu5) edgy; urgency=low

  * Detect UTS_RELEASE_HEADER for 2.6.18 allows users to compile
    the 2.6.18 kernel.

  * Also this patch is pre-emptive for edgy+1 kernel builds.

 -- Chuck Short <zulcss@ubuntu.com>  Sun,  1 Oct 2006 21:27:56 -0400

kernel-package (10.049ubuntu4) edgy; urgency=low

  * Redirect update-initramfs output to stderr to avoid confusing debconf
    (closes: Malone #54346).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Aug 2006 12:04:15 +0100

kernel-package (10.049ubuntu3) edgy; urgency=low

  * Do not show debconf notice about same-name kernel image updates for
    official kernels. That's because we ensure ABI compatibility.

 -- Ben Collins <bcollins@ubuntu.com>  Wed,  2 Aug 2006 15:22:09 -0400

kernel-package (10.049ubuntu2) edgy; urgency=low

  * Add support for kernels configured with CONFIG_CRASH_DUMP.
  * Modifiy xen package names (from Chuck).

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 18 Jul 2006 11:31:12 -0400

kernel-package (10.049ubuntu1) edgy; urgency=low

  * Dropped most of our stuff in favor of updates in this version.
  * Synced update-initramfs changes.
  * Synced notifier changes.
  * Disable debconf in postrm. The purge() is somehow triggering a sigpipe and
    failing to remove.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 12 Jul 2006 11:35:37 -0400

kernel-package (10.049) unstable; urgency=low

  * Bug fix: "kernel-package: localversion* files not supported?", thanks
    to Mattia Dongili. It is not that localversion files are not
    supported, it is that patches that try to change the version numbering
    are not,  You see, patches are applied _after_ there is a ./debian
    directory, and that means ./debian/changelog is already in place. Re
    doing this would require a drastic change in make-kpkg, so now we
    document that patches that change package names are not supported.
                                                        (Closes: #368539).
  * Bug fix: "linux-image-2.6.16-2-amd64-k8: initrd symlink management
    sucks", thanks to Eduard Bloch. Well, the bug topic sucks too. And,
    looking at the logs posted, it did seem to work in the test (the link
    was indeed created). I did spot a typo in the postinst, so I think
    this corner case should not arise again.            (Closes: #372783).
  * Bug fix: "no longer supports images with the same name on 2 arches",
    thanks to Martin Michlmayr. Well, no longer is a misnomer, we never
    did support multiple architectures for images in the control file.
    This should now be fixed; we accept a space separated list of
    architectures now.                                  (Closes: #373774).
  * kernel-package: arch/powerpc/include/asm symlink is not included in
    the *-headers package, thanks to Eddy Petrisor. now we ship all of
    arch/$KERNEL_ARCH/include.                          (Closes: #372233).
  * Added documentation to the man page that just adding --cross-compile
    does not in any way set the compiler used by the build system. That
    still has to be done explicitly.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Jun 2006 15:51:53 -0500

kernel-package (10.048) unstable; urgency=low

  * Bug fix: "kernel-package: Please install linux-uml modules in
    /usr/lib/uml/modules/$UML_VER/", thanks to Mattia Dongili. The new
    rootstrap can automatically install UML modules at build time, as long
    as the installation directory is compatible. This makes it so. 
                                                           (Closes: #369155).
  * Bug fix: "kernel-package: Please don't conflict with user-mode-linux
    packages", thanks to Mattia Dongili                    (Closes: #369918).
  * Bug fix: "kernel-package: Do not flattern the linux-uml modules
    directory structure", thanks to Mattia Dongili         (Closes: #369154).
  * make-kpkg fails on amd64 for xenalso consider CONFIG_X86_64_XEN (any
    more architectures that Xen would support, this method is gonna get
    untenable). This'll fix Xen building on AMD64. Please note that cross
    compiling may not work yet -- but that is a kernel build system issue.
                                                           (Closes: #365092).
  * Bug fix: "kernel-package: [powerpc, prep] Please apply patch to allow
    to build 2.6.16 -prep kernels.", thanks to Sven Luther (Closes: #369017).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  5 Jun 2006 17:30:33 -0500

kernel-package (10.047) unstable; urgency=low

  * Please remove ARCH_IN_NAME kludge on sparc, thanks to Jurij
    Smakov. Actually, I don't hink that sparc was the only contituency for
    ARCH_IN_NAME, so the it is not obsolete. I only applied portions of
    the patch as they apply to sparc.mk.                 (closes: Bug#365751)

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 May 2006 16:56:54 -0500

kernel-package (10.046) unstable; urgency=low

  * Bug fix: "make-kpkg fails on amd64 for xen", thanks to Goswin
    Brederlow                                            (Closes: #365092).
  *  Provide additional information to the inage post processing script
    for powerpc 

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 30 Apr 2006 14:53:17 -0500

kernel-package (10.045) unstable; urgency=low

  * Bug fix: "kernel-package: linux-image*.postrm uses debconf", thanks to
    Sven Joachim. Well. The postinst did not actually use debconf, just
    make it available for hook scripts. Now it just conditionally loads
    debconf, and it is up to the hook scripts to take care of prompting
    when debconf is missing.                              (Closes: #363645).
  * Bug fix: "kernel-package: amd64 arch also needs xen support", thanks
    to Nate Carlson                                       (Closes: #362628).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 Apr 2006 10:30:34 -0500

kernel-package (10.044) unstable; urgency=low

  * Fix typo in powerpc specific rules.


