=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2.0
 
 Package: kernel-package
 Description: A utility for building Linux kernel related Debian packages.
@@ -21,7 +21,7 @@
  If you are running on an intel x86 platform, and you wish to compile a
  custom kernel (why else are you considering this package?), then you may
  need the package bin86 as well.  (This is not required on other platforms).
-Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make
+Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make (>= 3.80-10), po-debconf, gettext, file
 Recommends: libc6-dev | libc-dev, bzip2
-Suggests: linux-source, libdb3-dev, libncurses-dev, docbook-utils
+Suggests: linux-source | kernel-source, libdb3-dev, libncurses-dev, docbook-utils
 Architecture: all
